\documentclass[../main.tex]{subfiles}

\begin{document}


The ARPA network is designed with two layers: consensus layer and computation layer. The computation layer is responsible for conducting ARPA's Multiparty Computation protocol, while the consensus layer makes sure that transactions and other metadata are recorded and reach consensus. Each blockchain node is comprised of two layers/services.

% In later section, we will explain ARPA MPC network,the Secure Computation process, cryptoeconomics system, staking mechanism and node selection process, and how they act together to ensure that it's the best interest for every participant to follow the protocol.

The system's overall design is illustrated in Figure \ref{fig:arpa_overview}.

\begin{figure}[ht]
\centering
\includegraphics[width=12cm]{graphics/ARPA_glance.png}
\caption{ARPA overview}
\label{fig:arpa_overview}
\end{figure}

\paragraph{Consensus layer} ARPA's network is designed as a permissionless network where participants can join autonomously, contribute their computation resources, and earn economic return. To achieve this, we need to faithfully record the transaction information, as well as verification scheme for the computation. This allows the network to form the quorum based on historical performance (with a credit system). 

The consensus service includes Account Signature, 
%ARPA Virtual Machine (AVM),
Computation Verification, Node Communication, Credit system, and Consensus protocol. 
%Consensus is reached with a modified Proof-of-Stake (PoS) scheme.
A decentralized ledger is implemented to record transnational and stateful data. 

We leverage Secret Sharing and Threshold Signature to create decentralized randomness in block generation. This uncertainty is used to prevent anyone from seizing control of the block by creating above average probability of block-signing rights.
% We will investigate this design in detail in Consensus section.

\paragraph{Computation layer} This layer is mainly a protocol for participating nodes to jointly perform secure Multiparty Computation (MPC) with arandom quorum, additional coordination, model compilation, Secret Sharing, distributed storage, error handling, computation proof generation, decentralized preprocessing, network load-balancing, and other tools to make sure nodes in a quorum can finish task with designated cryptography features. 

The MPC protocol is designed with an economic incentive/penalty so that it will cost a malicious node more than it can gain from the system.

\end{document}
